digitFrames = {}
for i=0,9 do
  table.insert(digitFrames,love.graphics.newImage(imageDir .. "num_" .. i .. ".png"))
end

digitW,digitH = digitFrames[1]:getDimensions()

digit = setmetatable({},object)
digit.__index = digit

function digit.new(x,y,onClick)
  assertType(x,"number",1);assertType(y,"number",2);assertType(onClick,{"nil","function"},3)
  local obj = setmetatable(object.new(x,y,"rectangle",{0,0,digitW,digitH},nil,digitFrames),digit)
  obj.onClickD = onClick
  return obj
end

function digit:onClick()
  self.frameInd = (self.frameInd % #self.frames)+1
  doex(self.onClickD,self.parent,self)
end