local backImg = love.graphics.newImage(imageDir .. "backBtn.png")

local props = {0,screenH-inventoryH-backImg:getHeight(),backImg:getDimensions()}

backButton = setmetatable({},object)
backButton.__index = backButton

backButton.onRollOver = cursors.arrow_down.f
backButton.onRollOut = resetCursor

function backButton.new(target)
  assertType(target,"table",1)
  local obj = setmetatable(object.new(0,0,"rectangle",props,nil,backImg),backButton)
  obj.target = target
  return obj
end

function backButton:onClick()
  gotoRoom(self.target)
end